#include <Stepper.h>
const int stepsPerRevolution = 200;

// initialize the stepper library on pins 9 through 12:
Stepper myStepperRight(stepsPerRevolution, 9, 11, 10, 12);
Stepper myStepperLeft(stepsPerRevolution, 9, 10, 11, 12);
int time = 0;
int sensorState = 0;
int lightRight = 0;
int lightLeft = 0;
void setup() {

  //----------------SENZORII DE LUMINA----------
  pinMode(8, INPUT);
  pinMode(7, INPUT);

  //----------------SEZNSORUL MAGNETIC----------
  pinMode(2, INPUT_PULLUP);
  Serial.begin(9600);
}

// 1 cand sunt departate
// 0 cand sunt apropiate
void loop() {

  //---------------SEZNORII DE LUMINA-----------
  lightLeft = digitalRead(8);
  lightRight = digitalRead(7);

  //---------------SENZORUL MAGNETIC------------
  sensorState = digitalRead(2);

  if (sensorState == 0 && time < 400) {
      delay(25);
  }

  time++;

  if (time > 400 && time < 800) {
    sensorState = 1;
  }

  if (time > 800) {
    time = 0;
  }

  //conditie a motorului in functie de fiecare senzor de lumina
  //senzorul stang sau cel drept

  if (lightLeft == LOW && sensorState) {
      int motorSpeed = map(280, 0, 1023, 0, 100);
      myStepperLeft.setSpeed(motorSpeed);
      // step 1/100 of a revolution:
      myStepperLeft.step(stepsPerRevolution / 100);
  }

  if (lightRight == LOW && sensorState) {
      int motorSpeed = map(400, 0, 1023, 0, 100);
      myStepperRight.setSpeed(motorSpeed);
      // step 1/100 of a revolution:
      myStepperRight.step(stepsPerRevolution / 100);
      sensorState = digitalRead(2);
  }
}
